%define seafile_groupid 65435
%define seafile_userid  65435
%define maj3_version %(echo %version | cut -d. -f1-3)
%define maj2_version %(echo %version | cut -d. -f1-2)
%define MAJver %(echo %version | cut -d. -f1)
Name:          seafile
Version:       9.0.13
Release:       1mamba
Summary:       A next-generation open source cloud storage system with advanced support for file syncing
Group:         Applications/Web
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.seafile.com/en/home/
Source:        https://github.com/haiwen/seafile.git/v%{version}/seafile-%{version}.tar.bz2
Source3:       seafile-client.service
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libargon2-devel
BuildRequires: libcap-devel
BuildRequires: libcurl-devel
BuildRequires: libevent-devel
BuildRequires: libglib-devel
BuildRequires: libjansson-devel
BuildRequires: libopenssl-devel
BuildRequires: libpython311-devel
BuildRequires: libsearpc-devel
BuildRequires: libsqlite-devel
BuildRequires: libuuid-devel
BuildRequires: libwebsockets-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     ccnet-server <= 7.1.5-2mamba

%description
Seafile is a next-generation open source cloud storage system with advanced support for file syncing, privacy protection and teamwork.
Collections of files are called libraries, and each library can be synced separately. A library can be encrypted with a user chosen password. This password is not stored on the server, so even the server admin cannot view a file's contents.
Seafile allows users to create groups with file syncing, wiki, and discussion to enable easy collaboration around documents within a team.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}
Provides:      python-seafile
Obsoletes:     python-seafile <= 9.0.12-1mamba
Obsoletes:     python-ccnet <= 7.1.5-2mamba
Obsoletes:     libccnet <= 7.1.5-2mamba
Obsoletes:     libccnet-devel <= 7.1.5-2mamba

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%prep
%setup -q
#-D -T
#:<< _EOF
./autogen.sh

%build
#:<< ___EOF
%configure \
   --enable-console \
   PYTHON=%{__python3}

%make -j1

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

install -D -m0644 %{SOURCE3} %{buildroot}%{_unitdir}/seafile-client.service

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/seaf-cli
%{_bindir}/seaf-daemon
%{_unitdir}/seafile-client.service
%{_mandir}/man1/seaf-cli.1*
%{_mandir}/man1/seaf-daemon.1*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libseafile.so.*
%dir %{python3_sitearch}/seafile
%{python3_sitearch}/seafile/*.py*
%{python3_sitearch}/seafile/__pycache__/*.py*
%doc LICENSE.txt

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/seafile
%{_includedir}/seafile/*.h
%{_libdir}/libseafile.a
%{_libdir}/libseafile.so
%{_libdir}/pkgconfig/libseafile.pc
#%doc README.markdown

%changelog
* Sat Apr 05 2025 Automatic Build System <autodist@openmamba.org> 9.0.13-1mamba
- automatic version update by autodist

* Wed Mar 12 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 9.0.12-2mamba
- obsolete python-seafile intgrating into libseafile; obsolete ccnet-server

* Sat Feb 15 2025 Automatic Build System <autodist@openmamba.org> 9.0.12-1mamba
- automatic version update by autodist

* Fri Nov 15 2024 Automatic Build System <autodist@openmamba.org> 9.0.11-1mamba
- automatic version update by autodist

* Wed Nov 13 2024 Automatic Build System <autodist@openmamba.org> 9.0.10-1mamba
- automatic version update by autodist

* Wed Oct 23 2024 Automatic Build System <autodist@openmamba.org> 9.0.9-1mamba
- automatic version update by autodist

* Fri Aug 16 2024 Automatic Build System <autodist@openmamba.org> 9.0.8-1mamba
- automatic version update by autodist

* Fri Jul 26 2024 Automatic Build System <autodist@openmamba.org> 9.0.7-1mamba
- automatic version update by autodist

* Tue Jun 25 2024 Automatic Build System <autodist@openmamba.org> 9.0.6-1mamba
- automatic version update by autodist

* Wed Feb 28 2024 Automatic Build System <autodist@openmamba.org> 9.0.5-1mamba
- automatic version update by autodist

* Fri Sep 15 2023 Automatic Build System <autodist@mambasoft.it> 9.0.4-1mamba
- automatic version update by autodist

* Thu Jun 29 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 9.0.3-2mamba
- rebuilt with python 3.10

* Wed Jun 28 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 9.0.3-1mamba
- update to 9.0.3

* Fri Apr 28 2023 Automatic Build System <autodist@mambasoft.it> 9.0.2-1mamba
- automatic version update by autodist

* Wed Mar 22 2023 Automatic Build System <autodist@mambasoft.it> 9.0.1-1mamba
- automatic version update by autodist

* Mon Mar 20 2023 Automatic Build System <autodist@mambasoft.it> 9.0.0-1mamba
- automatic version update by autodist

* Mon Jan 23 2023 Automatic Build System <autodist@mambasoft.it> 8.0.10-1mamba
- automatic version update by autodist

* Sat Nov 12 2022 Automatic Build System <autodist@mambasoft.it> 8.0.9-1mamba
- automatic version update by autodist

* Thu Jul 07 2022 Automatic Build System <autodist@mambasoft.it> 8.0.8-1mamba
- automatic version update by autodist

* Tue May 03 2022 Automatic Build System <autodist@mambasoft.it> 8.0.7-1mamba
- automatic version update by autodist

* Sat Feb 26 2022 Automatic Build System <autodist@mambasoft.it> 8.0.6-1mamba
- automatic version update by autodist

* Sun Nov 21 2021 Automatic Build System <autodist@mambasoft.it> 8.0.5-1mamba
- automatic version update by autodist

* Thu Sep 16 2021 Automatic Build System <autodist@mambasoft.it> 8.0.4-1mamba
- automatic version update by autodist

* Sun Jun 27 2021 Automatic Build System <autodist@mambasoft.it> 8.0.3-1mamba
- automatic version update by autodist

* Sun Apr 25 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 8.0.2-2mamba
- python-seafile: require python-searpc and remove obsolete/unneed py27 requirements

* Thu Apr 15 2021 Automatic Build System <autodist@mambasoft.it> 8.0.2-1mamba
- automatic version update by autodist

* Thu Dec 31 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 8.0.1-1mamba
- update to 8.0.1

* Sat Sep 14 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 7.0.2-1mamba
- update to 7.0.2

* Tue Dec 11 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 6.2.9-1mamba
- update to 6.2.9

* Thu Dec 07 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 6.1.3-1mamba
- update to 6.1.3

* Thu Jul 13 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 6.0.7-2mamba
- remove seafile-server now distributed apart

* Wed Jul 12 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 6.0.7-1mamba
- update to 6.0.7

* Sat Apr 16 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.5-2mamba
- patch to use instance dir for seafdav.conf

* Fri Apr 08 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.5-1mamba
- update to 5.0.5

* Tue Mar 08 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 4.4.6-1mamba
- update to 4.4.6

* Sun May 24 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.2-1mamba
- update to 4.2.2

* Sat May 23 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.1-3mamba
- require python-seafdav and python-flup
- install a couple of new scripts
- seahub.service: launch start script with start-fcgi
- rebuilt with libevhtp 1.2.9

* Tue May 19 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.1-2mamba
- seafile: fix broken binaries symlinks

* Thu May 14 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.1-1mamba
- update to 4.2.1

* Thu Jan 22 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.12-2mamba
- provide required symlink /usr/share/seafile/seafile-server/seahub
- patch setup script to fix preparation of avatars directory

* Thu Jan 01 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.12-1mamba
- update to 3.1.12

* Sat Dec 06 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.11-1mamba
- update to 3.1.11

* Sat Oct 18 2014 Automatic Build System <autodist@mambasoft.it> 3.1.7-1mamba
- automatic update by autodist

* Sun Oct 12 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.6-1mamba
- update to 3.1.6

* Mon Sep 01 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.5-1mamba
- update to 3.1.5

* Wed Aug 27 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.4-5mamba
- move seaf-daemon to seafile and add requirements to work as client installed alone

* Wed Aug 27 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.4-4mamba
- move server bin files from %{_bindir} to seafile-server/seafile/bin dir for seafile-controller to work
- fix permissions of %{_datadir}/seafile/seafile-server/runtime for seahub.sh to work
- seahub.service: set working directory

* Sat Aug 09 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.4-3mamba
- rebuild with --enable-server and other options
- organize %{datadir}/seafile and add requirements to make server basically work

* Sat Aug 09 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.4-2mamba
- added systemd service, install scripts and create seafile user and group
- added seafile-server package

* Tue Aug 05 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.4-1mamba
- package created using the webbuild interface
